CLEAR ALL
s$="Hello,world!,This,is,a,test,3.141,Goodbye cruel world!"
? "Split a comma-separated string using fibers"
?
? s$
?
START GetSplit$(s$,",")
DO
    ? GetSplit$()
    GETKEY a$
LOOP UNTIL FIBER.ISDONE(GetSplit$())
END
FIBER GetSplit$(s$,c$)
    i=INSTR(s$,c$)
    YIELD
    WHILE i
        YIELD RETURN LEFT$(s$,i-1)
        s$=MID$(s$,i+1)
        i=INSTR(s$,c$)
    WEND
    RETURN s$
END FIBER
